class Player:
    __x: int
    __y: int
    __HP: float
    __armor: int
    __eat: int
    __jump: bool
    __hand: str
    __energy: int

    def __init__(self, x, y, HP, armor, eat, jump, hand, energy):
        self.__x = x
        self.__y = y
        self.__HP = HP
        self.__armor = armor
        self.__eat = eat
        self.__jump = jump
        self.__hand = hand
        self.__energy = energy

    def get_x(self):
        return self.__x
    def get_y(self):
        return self.__y
    def get_HP(self):
        return self.__HP
    def get_armor(self):
        return self.__armor
    def get_eat(self):
        return self.__eat
    def get_jump(self):
        return self.__jump
    def get_hand(self):
        return self.__hand
    def get_energy(self):
        return self.__energy

    def get_stats(self):
        return self.__x, self.__y, self.__HP, self.__armor, self.__eat, self.__jump, self.__hand

    def set_x(self, new_x: int):
        if isinstance(new_x, int) and new_x != '':
            self.__x = new_x
    def set_y(self, new_y: int):
        if isinstance(new_y, int) and new_y != '':
            self.__y = new_y
    def set_HP(self, new_HP: int):
        if isinstance(new_HP, int) and new_HP != '':
            self.__HP = new_HP
    def set_armor(self, new_armor: int):
        if isinstance(new_armor, int) and new_armor != '':
            self.__armor = new_armor
    def set_eat(self, new_eat: int):
        if isinstance(new_eat, int) and new_eat != '' or isinstance(new_eat, float) and new_eat != '':
            self.__eat = new_eat
    def set_jump(self, new_jump: bool):
        if isinstance(new_jump, bool) and new_jump != '':
            self.__jump = new_jump
    def set_hand(self, new_hand: str):
        if isinstance(new_hand, str) and new_hand != '':
            self.__hand = new_hand
    def set_energy(self, new_energy: int):
        if isinstance(new_energy, int) and new_energy != '' or isinstance(new_energy, float) and new_energy != '':
            self.__energy = new_energy

player = Player(512, 512, 100, 0, 100, False, '', 100)